## Erste Version des Chatbots

* Der Aufbau des Chatbots orientiert sich an [Beispielen aus dem Rasa-Repro](https://github.com/RasaHQ/rasa_core/tree/master/examples/restaurantbot)

### Setup

```bash
cd example/
source activate $(name_eurer_pyhton_env)
```

```bash
make train
make run
```

### Struktur

```
├── Makefile                Start des Bots, v.a. 'make train' und 'make run'
├── actions.py              Python-Methoden zur Suche nach Antwortwerten und 
├── bot.py                  EntryPoint des Bots
├── data.tsv                Beispieldatensatz mit Galileo Galilei und Albert Einstein
├── domain.yml              Entitäten, Slots, Actions für den Bot
├── endpoints.yml           Konfiguration für den Action-Server
├── models                  Rasa Subdirectory
├── nlu.md                  NLU-Trainingsdaten inkl. Intents
├── nlu_config.yml          NLU-Konfiguration inkl. NER, Tokenizer
└── stories.md              Core-Trainingsdaten (Beispielgesprächsverläufe)
```
